## monado 21.0.0%2Bgit2905.e26a272c1~dfsg1

=== external/CMakeLists.txt ===
# Copyright 2020-2022, Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

# Catch2
add_library(xrt-external-catch2 INTERFACE)
target_include_directories(xrt-external-catch2 INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/Catch2)
add_library(xrt-external-openvr INTERFACE)
target_include_directories(
	xrt-external-openvr INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/openvr_includes
	)

# cJSON
add_library(xrt-external-cjson INTERFACE)
if(XRT_HAVE_SYSTEM_CJSON)
	target_link_libraries(xrt-external-cjson INTERFACE cJSON::cJSON)
else()
	target_include_directories(
		xrt-external-cjson SYSTEM INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/cjson
		)
	target_compile_definitions(xrt-external-cjson INTERFACE CJSON_HIDE_SYMBOLS)
endif()

# FlexKalman
add_library(xrt-external-flexkalman INTERFACE)
target_include_directories(xrt-external-flexkalman INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/flexkalman)

# FlexKalman
add_library(xrt-external-util-headers INTERFACE)
target_include_directories(
	xrt-external-util-headers INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/util-headers
	)

# Glad
add_library(xrt-external-glad INTERFACE)
target_include_directories(xrt-external-glad INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/glad/include)

# Hungarian graph algorithm
add_library(xrt-external-hungarian INTERFACE)
target_include_directories(xrt-external-hungarian INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/hungarian)

# JNIPP and Android JNI wrappers
if(ANDROID)
	add_library(xrt-external-jnipp STATIC jnipp/jnipp.cpp)
	target_include_directories(xrt-external-jnipp PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/jnipp)

	file(GLOB WRAP_SOURCES android-jni-wrap/wrap/*.cpp)
	add_library(xrt-external-jni-wrap STATIC ${WRAP_SOURCES})
	target_include_directories(
		xrt-external-jni-wrap PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/android-jni-wrap
		)
	target_link_libraries(xrt-external-jni-wrap PUBLIC xrt-external-jnipp)
endif()

# Nano Protobuf
add_library(
	xrt-external-nanopb STATIC
	nanopb/monado_metrics.pb.c
	nanopb/monado_metrics.pb.h
	nanopb/pb.h
	nanopb/pb_common.c
	nanopb/pb_common.h
	nanopb/pb_decode.c
	nanopb/pb_decode.h
	nanopb/pb_encode.c
	nanopb/pb_encode.h
	)
target_include_directories(xrt-external-nanopb PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/nanopb)

# OpenXR
add_library(xrt-external-openxr INTERFACE)
target_include_directories(
	xrt-external-openxr INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/openxr_includes
	)

# External SLAM tracking
if(XRT_FEATURE_SLAM)
	add_library(xrt-external-slam STATIC slam_tracker/slam_tracker.hpp)
	set_target_properties(xrt-external-slam PROPERTIES LINKER_LANGUAGE CXX)
	target_include_directories(
		xrt-external-slam INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/slam_tracker
		)
	target_include_directories(xrt-external-slam SYSTEM INTERFACE ${SLAM_INCLUDE_DIRS})
	target_link_libraries(xrt-external-slam INTERFACE ${SLAM_LIBRARIES})
endif()

# STB
add_library(xrt-external-stb INTERFACE)
target_include_directories(xrt-external-stb SYSTEM INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/stb)

# renderdoc
add_library(xrt-external-renderdoc INTERFACE)
target_include_directories(
	xrt-external-renderdoc SYSTEM INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/renderdoc_api
	)

# imgui
if(XRT_HAVE_OPENGL)
	add_library(
		xrt-external-imgui STATIC
		imgui/imgui/cimgui.cpp
		imgui/imgui/cimgui.h
		imgui/imgui/cimplot.cpp
		imgui/imgui/cimplot.h
		imgui/imgui/imconfig.h
		imgui/imgui/imgui.cpp
		imgui/imgui/imgui.h
		imgui/imgui/imgui_demo.cpp
		imgui/imgui/imgui_draw.cpp
		imgui/imgui/imgui_impl_opengl3.cpp
		imgui/imgui/imgui_impl_opengl3.h
		imgui/imgui/imgui_internal.h
		imgui/imgui/imgui_widgets.cpp
		imgui/imgui/implot.cpp
		imgui/imgui/implot.h
		imgui/imgui/implot_demo.cpp
		imgui/imgui/implot_internal.h
		imgui/imgui/implot_items.cpp
		imgui/imgui/imstb_rectpack.h
		imgui/imgui/imstb_textedit.h
		imgui/imgui/imstb_truetype.h
		imgui/imgui_monado/imgui_monado.cpp
		)

	target_include_directories(
		xrt-external-imgui SYSTEM PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/imgui
		)
	target_include_directories(xrt-external-imgui PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/imgui)
	target_compile_definitions(xrt-external-imgui PUBLIC CIMGUI_NO_EXPORT)
	set_target_properties(xrt-external-imgui PROPERTIES INTERPROCEDURAL_OPTIMIZATION OFF)
	target_link_libraries(xrt-external-imgui PUBLIC xrt-external-glad)

	if(XRT_HAVE_SDL2)
		add_library(
			xrt-external-imgui-sdl2 STATIC
			imgui/imgui/cimgui_sdl.cpp imgui/imgui/imgui_impl_sdl.cpp
			imgui/imgui/imgui_impl_sdl.h
			)
		target_link_libraries(
			xrt-external-imgui-sdl2
			PUBLIC xrt-external-imgui
			PUBLIC ${SDL2_LIBRARIES}
			)

		target_include_directories(xrt-external-imgui-sdl2 PUBLIC ${SDL2_INCLUDE_DIRS})
		target_include_directories(
			xrt-external-imgui-sdl2 PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/imgui
			)
		set_target_properties(
			xrt-external-imgui-sdl2 PROPERTIES INTERPROCEDURAL_OPTIMIZATION OFF
			)
	endif()

endif()

# tinyceres
add_library(xrt-external-tinyceres INTERFACE)
target_include_directories(
	xrt-external-tinyceres SYSTEM INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/tinyceres/include
	)

# Tracy
if(XRT_HAVE_TRACY)
	add_library(xrt-external-tracy STATIC tracy/TracyClient.cpp)
	target_include_directories(
		xrt-external-tracy SYSTEM PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/tracy
		)
	target_compile_definitions(xrt-external-tracy PRIVATE TRACY_ENABLE)
	target_link_libraries(xrt-external-tracy PRIVATE ${CMAKE_DL_LIBS})
endif()

=== xrt/auxiliary/bindings/CMakeLists.txt ===
# Copyright 2019-2021, Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

# Binding generation: pass filename to generate
function(bindings_gen output)
	add_custom_command(
		OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${output}"
		COMMAND
			${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/bindings.py
			${CMAKE_CURRENT_SOURCE_DIR}/bindings.json
			"${CMAKE_CURRENT_BINARY_DIR}/${output}"
		VERBATIM
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/bindings.py
			${CMAKE_CURRENT_SOURCE_DIR}/bindings.json
		COMMENT "Generating ${output}"
		)
endfunction()

bindings_gen(b_generated_bindings.h)
bindings_gen(b_generated_bindings.c)

# Bindings library.
add_library(
	aux_generated_bindings STATIC ${CMAKE_CURRENT_BINARY_DIR}/b_generated_bindings.c
				      ${CMAKE_CURRENT_BINARY_DIR}/b_generated_bindings.h
	)

# needed globally for steamvr input profile generation in steamvr target
set_property(GLOBAL PROPERTY AUX_BINDINGS_DIR_PROP "${CMAKE_CURRENT_SOURCE_DIR}")

target_link_libraries(aux_generated_bindings PRIVATE xrt-interfaces)

=== xrt/tracking/hand/CMakeLists.txt ===
# Copyright 2022, Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

add_subdirectory(mercury)

###
# Async wrapper around sync helper.
#
add_library(hand_async STATIC t_hand_tracking_async.c)
target_link_libraries(hand_async PRIVATE xrt-interfaces aux_os aux_util aux_math)

=== xrt/tracking/hand/mercury/CMakeLists.txt ===
# Copyright 2019-2022, Collabora, Ltd.
# SPDX-License-Identifier: BSL-1.0

# Mercury hand tracking library!

add_subdirectory(kine_lm)

add_library(t_ht_mercury_model STATIC hg_model.cpp)

target_link_libraries(t_ht_mercury_model PRIVATE aux_math aux_tracking aux_os aux_util)

target_include_directories(
	t_ht_mercury_model SYSTEM PRIVATE ${OpenCV_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIR}
	)

target_link_libraries(
	t_ht_mercury_model
	PRIVATE
		aux_math
		aux_tracking
		aux_os
		aux_util
		${OpenCV_LIBRARIES}
		ONNXRuntime::ONNXRuntime
	)

add_library(t_ht_mercury_distorter STATIC hg_image_distorter.cpp)

target_link_libraries(t_ht_mercury_distorter PRIVATE aux_math aux_tracking aux_os aux_util)

target_include_directories(
	t_ht_mercury_distorter SYSTEM PRIVATE ${OpenCV_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIR}
	)

target_link_libraries(
	t_ht_mercury_distorter
	PRIVATE
		aux_math
		aux_tracking
		aux_os
		aux_util
		${OpenCV_LIBRARIES}
		ONNXRuntime::ONNXRuntime # no, wrong
	)

add_library(t_ht_mercury STATIC hg_sync.cpp hg_sync.hpp hg_interface.h kine_common.hpp)

target_link_libraries(
	t_ht_mercury
	PUBLIC aux-includes xrt-external-cjson
	PRIVATE
		aux_math
		aux_tracking
		aux_os
		aux_util
		ONNXRuntime::ONNXRuntime
		t_ht_mercury_kine_lm
		t_ht_mercury_model
		t_ht_mercury_distorter
		${OpenCV_LIBRARIES}
	)

if(XRT_HAVE_OPENCV)
	target_include_directories(
		t_ht_mercury SYSTEM PRIVATE ${OpenCV_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIR}
		)
	target_link_libraries(t_ht_mercury PUBLIC ${OpenCV_LIBRARIES})
endif()

# Below is entirely just so that tests can find us.
add_library(t_ht_mercury_includes INTERFACE)

target_include_directories(
	t_ht_mercury_includes INTERFACE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
	)

=== debian/changelog ===
monado (21.0.0+git2905.e26a272c1~dfsg1-2build3) plucky; urgency=medium

  * No-change rebuild for opencv 4.10.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 08:43:33 +0000

monado (21.0.0+git2905.e26a272c1~dfsg1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:08:36 +0000

monado (21.0.0+git2905.e26a272c1~dfsg1-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:45:43 +0000

monado (21.0.0+git2905.e26a272c1~dfsg1-2) unstable; urgency=medium

  * d/patches
    - Update Forwarded fields.
  * d/libopenxr1-monado.lintian-overrides: Fix override

  [ Adrian Bunk ]
  * Build with -ffloat-store on i386 to fix test failure.

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Thu, 02 Mar 2023 18:28:36 -0600

monado (21.0.0+git2905.e26a272c1~dfsg1-1) unstable; urgency=medium

  * New upstream snapshot 21.0.0+git2905.e26a272c1~dfsg1
  * d/copyright: Update
  * Drop all existing patches, applied upstream
      - Add 0002-Do-not-install-a-test-binary.patch: Test binaries
        should not be installed
      - Add 0001-Fix-typo-in-DearImGui-demo.patch: Fix typo
  * Add d/.gitignore and d/.gitattributes back
  * d/README.source: Update
  * Add Build-Depends on wayland-protocols.
  * Bump Standards-Version to 4.6.2 - no changes required.

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Thu, 02 Mar 2023 14:56:01 +0100

monado (21.0.0~dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.34. (Closes: #1001262)

 -- Adrian Bunk <bunk@debian.org>  Mon, 12 Sep 2022 10:16:51 +0300

=== debian/control ===
Source: monado
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ryan Pavlik <ryan@ryanpavlik.com>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               glslang-tools,
               libavcodec-dev [!hppa !sh4],
               libbsd-dev [linux-any],
               libcjson-dev,
               libdbus-1-dev [linux-any],
               libegl1-mesa-dev,
               libeigen3-dev,
               libgl1-mesa-dev,
               libglvnd-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libhidapi-dev [!hurd-i386],
               libopencv-dev [!alpha !ia64 !sparc64 !x32],
               libsystemd-dev [linux-any],
               libsdl2-dev,
               libudev-dev,
               libusb-1.0-0-dev,
               libuvc-dev,
               libv4l-dev,
               libvulkan-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxrandr-dev,
               libxxf86vm-dev,
               pandoc <!nodoc>,
               pkg-config,
               wayland-protocols
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/monado-team/monado/-/tree/debian/sid
Vcs-Git: https://salsa.debian.org/monado-team/monado.git -b debian/sid
Homepage: https://monado.freedesktop.org/
Rules-Requires-Root: no

Package: monado-service
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: xr-hardware,
            libopenxr-loader1,
            libopenxr1-monado (= ${binary:Version})
Description: Monado XR hardware and composition service
 Monado is an open-source package for interacting with virtual and
 augmented reality (collectively known as XR) hardware and software.
 .
 This package provides the service that provides the VR compositor and
 hardware drivers to Monado clients like libopenxr1-monado.

Package: libopenxr1-monado
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         monado-service (= ${binary:Version}) [linux-any]
Recommends: xr-hardware,
            libopenxr-loader1
Suggests: bluez [linux-any]
Provides: libopenxr1
Description: Monado implementation of the OpenXR API
 Monado is an open-source package for interacting with virtual and
 augmented reality (collectively known as XR) hardware and software.
 .
 This package provides a runtime that aims to be a complete and conforming
 implementation of the OpenXR API from Khronos. When used with the
 "simulated" device driver, this package is conformant with OpenXR 1.0.
 When used with any other driver, this package is based on a published
 Khronos Specification and is expected to pass the Khronos Conformance
 Process. Current conformance status can be found at
 www.khronos.org/conformance.

Package: monado-cli
Architecture: any
Section: graphics
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: xr-hardware
Description: Monado command-line utility
 Monado is an open-source package for interacting with virtual and
 augmented reality (collectively known as XR) hardware and software.
 .
 This package provides a command line utility that can be used to test
 probing for XR hardware.

Package: monado-gui
Architecture: any
Section: graphics
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: xr-hardware
Description: Monado GUI config and debug utility
 Monado is an open-source package for interacting with virtual and
 augmented reality (collectively known as XR) hardware and software.
 .
 This package provides a graphical interface utility that can be used to
 test probing for XR hardware, as well as performing calibration of
 cameras for use in tracking.
